Subject: Re: [PATCH] powerpc: restore eeh_add_device_late() prototype

From: Mark Fasheh <[email-masked]>
Date: Tue, 28 Feb 2006 17:02:50 -0800

Sigh, I forgot to actually CC [email-masked], and I also left off
my signed-off-by line (added below). Sorry about that.

On Tue, Feb 28, 2006 at 04:19:09PM -0800, Mark Fasheh wrote:
A search on the linux-kernel, linuxppc-dev mailing lists and the git tree at
 git://git.kernel.org/pub/scm/linux/kernel/git/paulus/powerpc didn't show
this issue fixed or reported. If I missed something please ignore :)

I get a compile failure trying to build a powerpc kernel:

arch/powerpc/platforms/pseries/eeh.c: In function `eeh_add_device_tree_late':
arch/powerpc/platforms/pseries/eeh.c:901: warning: implicit declaration of function `eeh_add_device_late'
arch/powerpc/platforms/pseries/eeh.c: At top level:
arch/powerpc/platforms/pseries/eeh.c:918: error: conflicting types for 'eeh_add_device_late'
arch/powerpc/platforms/pseries/eeh.c:901: error: previous implicit declaration of 'eeh_add_device_late' was here
make[2]: *** [arch/powerpc/platforms/pseries/eeh.o] Error 1

It seems commit 827c1a6c1a5dcb2902fecfb648f9af6a532934eb removed this
prototype from eeh.h. The following patch restores it.

Signed-off-by: Mark Fasheh <[email-masked]>

diff --git a/include/asm-powerpc/eeh.h b/include/asm-powerpc/eeh.h
index 7dfb408..4250fa1 100644
--- a/include/asm-powerpc/eeh.h
+++ b/include/asm-powerpc/eeh.h
@@ -62,6 +62,7 @@ void __init pci_addr_cache_build(void);
  */
 void eeh_add_device_early(struct device_node *);
 void eeh_add_device_tree_early(struct device_node *);
+void eeh_add_device_late(struct pci_dev *);
 void eeh_add_device_tree_late(struct pci_bus *);
 
 /**
@@ -117,6 +118,8 @@ static inline void pci_addr_cache_build(
 
 static inline void eeh_add_device_early(struct device_node *dn) { }
 
+static inline void eeh_add_device_late(struct pci_dev *dev) { }
+
 static inline void eeh_remove_device(struct pci_dev *dev) { }
 
 static inline void eeh_add_device_tree_early(struct device_node *dn) { }